Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
FieldMaskingSpanQuery.h File Reference
`#include "SpanQuery.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::FieldMaskingSpanQuery
| Wrapper to allow SpanQuery objects participate in composite single-field SpanQueries by 'lying' about their search field. That is, the masked SpanQuery will function as normal, but SpanQuery#getField() simply hands back the value supplied in this class's constructor. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net